Package oracle.jdbc.diagnostics

## Class MetricsImpl

- java.lang.Object
- - oracle.jdbc.diagnostics.Metrics
  - - oracle.jdbc.diagnostics.MetricsImpl

    public class MetricsImpl
    extends Metrics

Metrics collected by the JDBC driver.

### Nested Class Summary

### Nested classes/interfaces inherited from class oracle.jdbc.diagnostics.Metrics

`Metrics.ConnectionEvent, Metrics.MetricReport`

### Constructor Summary

Constructors
`MetricsImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `begin​(Metrics.ConnectionEvent event)` All begin and end calls are noop in this class because this class is instantiated when metrics capturing is disabled.
`void` `close()` The map events and metrics is added to the collection.
`void` `end​(Metrics.ConnectionEvent event)`

### Methods inherited from class oracle.jdbc.diagnostics.Metrics

`add, clear, enable, getReport, getReport, print`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetricsImpl

    public MetricsImpl()

### Method Detail

#### begin

    public void begin​(Metrics.ConnectionEvent event)

Description copied from class: `Metrics`
All begin and end calls are noop in this class because this class is instantiated when metrics capturing is disabled. The subclass of this is instantiated when metrics capturing is enabled. This is to avoid 'is capturing metrics enabled' checks in begin and end methods.

Overrides:
  `begin` in class `Metrics`

#### end

    public void end​(Metrics.ConnectionEvent event)

Overrides:
  `end` in class `Metrics`

#### close

    public void close()

The map events and metrics is added to the collection.

Overrides:
  `close` in class `Metrics`
Parameters:
  `connectionMetricsMap` -